need configure the policy in the rabbitmq

Bug #1580884 reported by Jeffrey Zhang on 2016-05-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kolla
Critical
Jeffrey Zhang
Liberty
Critical
Jeffrey Zhang
Mitaka
Critical
Jeffrey Zhang

Bug Description

Currently, Kolla just use the oslo.messaging rabbitmq ha configure
and do not config the rabbitmq by set_policy. But after rabbitmq 3.0
this do not work.

see this [0]

Mirror queue policies
What changed? In RabbitMQ 3.0, queue mirroring is no longer controlled by the x-ha-policy argument when declaring a queue. Your applications can continue to declare this argument, but it won't cause queues to be mirrored. Instead you can declare one or more policies which control which queues are mirrored, and how.

Why did it change? As anyone who's used mirrored queues will tell you, requiring applications to know which queues are mirrored is a pain. The new approach puts configuration in the broker, where it belongs, and also supports changing mirroring policy at any time.

What should I do? You need to make sure your queues are still mirrored. For the full documentation see here, but if you just want to make sure that all queues (except those with auto-generated names) are mirrored across all nodes, run:

rabbitmqctl set_policy HA '^(?!amq\.).*' '{"ha-mode": "all"}'

and this [1]

[0] http://www.rabbitmq.com/blog/2012/11/19/breaking-things-with-rabbitmq-3-0/
[1] https://github.com/openstack/oslo.messaging/blob/master/oslo_messaging/_drivers/impl_rabbit.py#L153,L164

Changed in kolla:
milestone: none → newton-1
assignee: nobody → Jeffrey Zhang (jeffrey4l)
importance: Undecided → Critical
Steven Dake (sdake) on 2016-05-17
Changed in kolla:
status: New → Confirmed
Changed in kolla:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/315380
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=e7441a42125c38c851e7c20ea8134c3b557a27e8
Submitter: Jenkins
Branch: master

commit e7441a42125c38c851e7c20ea8134c3b557a27e8
Author: Jeffrey Zhang <jeffrey.zhang@99cloud.net>
Date: Wed May 11 20:21:52 2016 +0800

    Configure the rabbitmq ha policy in config file

    Closes-Bug: #1580884
    Change-Id: Ief5917d48dbf6abe4a5861e73b24d534b889bd52

Changed in kolla:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/319995
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=9a6c576b99e3ec3c4cb0046af3a75bc2750eeeb1
Submitter: Jenkins
Branch: stable/mitaka

commit 9a6c576b99e3ec3c4cb0046af3a75bc2750eeeb1
Author: Jeffrey Zhang <jeffrey.zhang@99cloud.net>
Date: Wed May 11 20:21:52 2016 +0800

    Configure the rabbitmq ha policy in config file

    Closes-Bug: #1580884
    Change-Id: Ief5917d48dbf6abe4a5861e73b24d534b889bd52
    (cherry picked from commit e7441a42125c38c851e7c20ea8134c3b557a27e8)

Reviewed: https://review.openstack.org/319998
Committed: https://git.openstack.org/cgit/openstack/kolla/commit/?id=7ffacc69612d57c9680028fe4dfb046973b6e8a1
Submitter: Jenkins
Branch: stable/liberty

commit 7ffacc69612d57c9680028fe4dfb046973b6e8a1
Author: Jeffrey Zhang <jeffrey.zhang@99cloud.net>
Date: Wed May 11 20:21:52 2016 +0800

    Configure the rabbitmq ha policy in config file

    Closes-Bug: #1580884
    Change-Id: Ief5917d48dbf6abe4a5861e73b24d534b889bd52
    (cherry picked from commit e7441a42125c38c851e7c20ea8134c3b557a27e8)

This issue was fixed in the openstack/kolla 3.0.0.0b1 development milestone.

This issue was fixed in the openstack/kolla 1.1.1 release.

This issue was fixed in the openstack/kolla 2.0.1 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers